<?php

// Имя файла для хранения данных
$file = __DIR__.'/data.json';

// Если это не POST-запрос — просто показать статус на странице
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('Content-Type: text/html; charset=utf-8');
    ?>
    <!DOCTYPE html>
    <html>
    <head>
        <meta charset="UTF-8">
        <title>Скрипт установлен</title>
    </head>
    <body>
        <h1>Скрипт установлен</h1>
    </body>
    </html>
    <?php
    exit;
}

// Получаем тело запроса (JSON)
$json = file_get_contents('php://input');
$data = json_decode($json, true);

// Проверяем, что это новый пост в канале
if (isset($data['channel_post']) && isset($data['channel_post']['message_id'])) {
    // Читаем текущие записи (до 50 объектов)
    $items = [];
    if (file_exists($file)) {
        $saved = file_get_contents($file);
        $decoded = json_decode($saved, true);
        if (is_array($decoded)) {
            $items = $decoded;
        }
    }
    // Добавляем новый объект в конец
    $items[] = $data;

    // Оставляем только последние 50 объектов
    $items = array_slice($items, -50);

    // Перезаписываем файл как JSON-массив
    file_put_contents($file, json_encode($items, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT), LOCK_EX);
}

http_response_code(200); // Telegram требует 200 OK
?>